package com.magnatune.eyecreate.companionformagnatune.api;

import com.magnatune.eyecreate.companionformagnatune.model.AlbumResponse;
import com.squareup.okhttp.ResponseBody;

import org.simpleframework.xml.Serializer;
import org.simpleframework.xml.core.Persister;

import java.io.IOException;
import java.util.zip.GZIPInputStream;

import retrofit.Converter;

public class MagnatuneAlbumsConverter implements Converter<ResponseBody,AlbumResponse> {
    @Override
    public AlbumResponse convert(ResponseBody value) throws IOException {
        GZIPInputStream compressedStream = new GZIPInputStream(value.byteStream());
        Serializer serializer = new Persister();
        AlbumResponse conversion = null;
        try {
            conversion = serializer.read(AlbumResponse.class,compressedStream);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return conversion;
    }
}
