package com.magnatune.eyecreate.companionformagnatune.model.xml;

import org.simpleframework.xml.Element;
import org.simpleframework.xml.ElementList;
import org.simpleframework.xml.Root;

import java.util.Date;
import java.util.List;

@Root
public class Album {

    @Element
    public String artist;

    @Element
    public String artistdesc;

    @Element
    public String cover_small;

    @Element
    public String artistphoto;

    @Element
    public String albumname;

    @Element
    public int year;

    @Element
    public String album_notes;

    @Element
    public String mp3genre;

    @Element
    public String home;

    @Element
    public String magnatunegenres;

    @Element
    public Date launchdate;

    @Element
    public String albumsku;

    @ElementList(inline=true)
    public List<Track> tracks;
}
